// -*- C++ -*-
//
//  This file is part of Siena, a wide-area event notification system.
//  See http://www.cs.colorado.edu/serl/siena/
//
//  Author: Antonio Carzaniga <carzanig@cs.colorado.edu>
//  See the file AUTHORS for full details. 
//
//  Copyright (C) 1998-2001 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to serl@cs.colorado.edu.
//
//
// $Id: graph.h,v 1.2 2001/09/02 16:37:38 carzanig Exp $
//
#ifndef _graph_h
#define _graph_h

#include <gtk/gtk.h>

//
// the callback the graph uses to tell its user that it has terminated
// its animation display
//
extern void graph_init(GtkDrawingArea * da, void (callback)());

extern void graph_display_command(int argc, char *argv[]);

extern void graph_zoom_in(gint amount);
extern void graph_zoom_out(gint amount);

extern void graph_get_size(gint & width, gint & height);
extern void graph_set_size(gint width, gint height);

extern void graph_set_anim_params(guint duration, guint steps);

extern void graph_set_logger_function(void (logger)(const char *, int));
#endif


